# Chat21 channel configuration

Tiledesk uses [Chat21](http://www.chat21.org) as messaging platform. Refer to [Architecture overview](/architecture/schema.md) to undestand the product's modules. In detail the tiledesk-server component uses Chat21 channel for sending chat messages, creating groups, etc.

So in order to correctly configure your Tiledesk installation you MUST configure the following properties:

* FIREBASE\_PRIVATE\_KEY. You can get it [here](https://github.com/Tiledesk/tiledesk-docs/blob/master/installation/chat21-installation/chat21-firebase-installation/create-a-firebase-project.md#create-an-sdk-firebase-admin-account). It is in the form: `-----BEGIN PRIVATE KEY-----\ABCD78261TGV...HGAGBA82727\n-----END PRIVATE KEY-----\n`. More info about firebase private key [here](https://firebase.google.com/docs/admin/setup#initialize_the_sdk).
* FIREBASE\_CLIENT\_EMAIL. You can get it [here](https://github.com/Tiledesk/tiledesk-docs/blob/master/installation/chat21-installation/chat21-firebase-installation/create-a-firebase-project.md#create-an-sdk-firebase-admin-account). It is in the form: `firebase-adminsdk-******@************.iam.gserviceaccount.com`
* FIREBASE\_PROJECT\_ID. Get it [here](https://github.com/Tiledesk/tiledesk-docs/blob/master/installation/chat21-installation/chat21-firebase-installation/create-a-firebase-project.md#create-an-app).
* FIREBASE\_APIKEY. Get it [here](https://github.com/Tiledesk/tiledesk-docs/blob/master/installation/chat21-installation/chat21-firebase-installation/create-a-firebase-project.md#create-an-app).
* FIREBASE\_AUTHDOMAIN. Get it [here](https://github.com/Tiledesk/tiledesk-docs/blob/master/installation/chat21-installation/chat21-firebase-installation/create-a-firebase-project.md#create-an-app). It is in the form: `CHANGEIT.firebaseapp.com`
* FIREBASE\_DATABASEURL. Get it [here](https://github.com/Tiledesk/tiledesk-docs/blob/master/installation/chat21-installation/chat21-firebase-installation/create-a-firebase-project.md#create-an-app). It is in the form: `https://CHANGEIT.firebaseio.com`
* FIREBASE\_STORAGEBUCKET. You can find it [here](https://github.com/Tiledesk/tiledesk-docs/tree/7ed1cde88582e9a174199b20bd6ad610f0153fcb/configuration/installation/chat21-installation/chat21-firebase-installation/create-a-firebase-project.md#create-a-storage). It is in the form: `CHANGEIT.appspot.com`
* FIREBASE\_MESSAGINGSENDERID. Get it [here](https://github.com/Tiledesk/tiledesk-docs/blob/master/installation/chat21-installation/chat21-firebase-installation/create-a-firebase-project.md#create-an-app). A unique numerical value created when you create your Firebase project, available in the [Cloud Messaging](https://console.firebase.google.com/project/_/settings/cloudmessaging/) tab of the Firebase console **Settings** pane.
* CHAT21\_ENABLED. Enable Chat21 channel with **true** value.
* FIREBASE\_APP\_ID. Get it [here](https://github.com/Tiledesk/tiledesk-docs/blob/master/installation/chat21-installation/chat21-firebase-installation/create-a-firebase-project.md#create-an-app).
* CHAT21\_URL. Get it [here](https://github.com/Tiledesk/tiledesk-docs/blob/master/installation/chat21-installation/chat21-firebase-installation/create-a-firebase-project.md#get-the-cloud-function-url). It is in the form: `https://mytiledeskinstallation87.cloudfunctions.net`
* CHAT21\_ENGINE. Enter the default value **firebase**
* CHAT21\_APPID. Enter the default value **tilechat**
* CHAT21\_ADMIN\_TOKEN. The Chat21 admin token. The default value is `chat21-secret-orgAa,`. See [here](https://github.com/chat21/chat21-cloud-functions/blob/master/docs/setup_options.md#admin-token) to change it.

You can find other information regarding the env variable here: <https://github.com/Tiledesk/tiledesk-server/blob/master/.env.sample>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.tiledesk.com/configuration/channel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
